#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 snap-core
version:              1.0.4.2
visibility:           public
id:                   snap-core-1.0.4.2-3JylKsdtgF5EOaCHGwxlY5
key:                  snap-core-1.0.4.2-3JylKsdtgF5EOaCHGwxlY5
license:              BSD-3-Clause
maintainer:           snap@snapframework.com
author:               Snap Framework Authors (see CONTRIBUTORS)
homepage:             http://snapframework.com/
synopsis:             Snap: A Haskell Web Framework (core interfaces and types)
description:
    Snap is a simple and fast web development framework and server written in
    Haskell. For more information or to download the latest version, you can
    visit the Snap project website at <http://snapframework.com/>.

    This library contains the core definitions and types for the Snap framework,
    including:

    1. Primitive types and functions for HTTP (requests, responses, cookies,
    post/query parameters, etc)

    2. A monad for programming web handlers called \"Snap\", which allows:

    * Stateful access to the HTTP request and response objects

    * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
    to handle requests and chaining handlers together

    * Early termination of the computation if you know early what you want
    to return and want to prevent further monadic processing

    /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Core".

category:             Web, Snap, IO-Streams
abi:                  462c1f926447452af34a90968131e3ba
exposed:              True
exposed-modules:
    Snap.Core Snap.Internal.Core Snap.Internal.Debug
    Snap.Internal.Http.Types Snap.Internal.Parsing Snap.Test
    Snap.Types.Headers Snap.Util.CORS Snap.Util.FileServe
    Snap.Util.FileUploads Snap.Util.GZip Snap.Util.Proxy

hidden-modules:
    Snap.Internal.Instances Snap.Internal.Routing
    Snap.Internal.Test.RequestBuilder Snap.Internal.Test.Assertions
    Snap.Internal.Util.FileServe Snap.Internal.Util.FileUploads

import-dirs:          /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.4.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/snap-core-1.0.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/snap-core-1.0.4.2
hs-libraries:         HSsnap-core-1.0.4.2-3JylKsdtgF5EOaCHGwxlY5
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    attoparsec-0.14.3-CcJA00uFmT7DKv4Tw8wjbZ base-4.15.1.0
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-KMnJLPBJksE4ZuRElxOxnt containers-0.6.4.1
    directory-1.3.6.2 filepath-1.4.2.1
    hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr
    io-streams-1.5.2.1-H5KPiCk7U0u2A5p014xj7H
    lifted-base-0.2.3.12-C2Jvcjp7D4PLxhOWBEMNxy
    monad-control-1.0.3.1-5iZm1T1pYh8IGY1NTmHB3e mtl-2.2.2
    network-3.1.2.7-8gILzT5LabS6CDprj5uZiN
    network-uri-2.6.4.1-BnXUXBccxGuHs5vvKqdYms
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh
    random-1.2.1-B9QyR7akHvI3KPtL26m3EE
    readable-0.3.1-8qk55zLnPf8IWPnnTbUyya
    regex-posix-0.96.0.1-3tnfXrSqQrb7MJMFtuTwG8 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-JYrdXigsUd5LO1F0gUSlKl
    unix-compat-0.5.4-FTzJDG4psNuKZpJlJ2Zo5B
    unordered-containers-0.2.15.0-Ht2efffRCvFCdRwsi5oUgT
    vector-0.12.3.1-KtKcoCRq29nJlZWgb7i8Fm

haddock-interfaces:   /usr/share/doc/haskell-snap-core/html/snap-core.haddock
haddock-html:         /usr/share/doc/haskell-snap-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

